| OpenCV 4.3.0 Open Source Computer Vision

Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
cv::saliency::ObjectnessBING Class Reference
Saliency API

Objectness algorithms based on [3] [3] Cheng, Ming-Ming, et al. "BING: Binarized normed gradients for objectness estimation at 300fps." IEEE CVPR. 2014. More...

`#include <opencv2/saliency/saliencySpecializedClasses.hpp>`

Inheritance diagram for cv::saliency::ObjectnessBING:

## Public Member Functions
| ObjectnessBING ()
virtual | ~ObjectnessBING ()
bool | computeSaliency (InputArray image, OutputArray saliencyMap)
double | getBase () const
int | getNSS () const
std::vector< float > | getobjectnessValues ()
| Return the list of the rectangles' objectness value,. More...
int | getW () const
void | read ()
void | setBase (double val)
void | setBBResDir (const String &resultsDir)
| This is a utility function that allows to set an arbitrary path in which the algorithm will save the optional results. More...
void | setNSS (int val)
void | setTrainingPath (const String &trainingPath)
| This is a utility function that allows to set the correct path from which the algorithm will load the trained model. More...
void | setW (int val)
void | write () const
Public Member Functions inherited from cv::saliency::Saliency
virtual | ~Saliency ()
| Destructor. More...
bool | computeSaliency (InputArray image, OutputArray saliencyMap)
| Compute the saliency. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< ObjectnessBING > | create ()
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Protected Member Functions
bool | computeSaliencyImpl (InputArray image, OutputArray objectnessBoundingBox) CV_OVERRIDE
| Performs all the operations and calls all internal functions necessary for the accomplishment of the Binarized normed gradients algorithm. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Additional Inherited Members
Protected Attributes inherited from cv::saliency::Saliency
String | className

## Detailed Description

Objectness algorithms based on [3] [3] Cheng, Ming-Ming, et al. "BING: Binarized normed gradients for objectness estimation at 300fps." IEEE CVPR. 2014.

the Binarized normed gradients algorithm from [40]

## Constructor & Destructor Documentation

## ◆ ObjectnessBING()

cv::saliency::ObjectnessBING::ObjectnessBING | ( |  | ) |

## ◆ ~ObjectnessBING()

virtual cv::saliency::ObjectnessBING::~ObjectnessBING | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ computeSaliency()

bool cv::saliency::ObjectnessBING::computeSaliency | ( | InputArray | image,
|  | OutputArray | saliencyMap
| ) |  |
| inline

Python:
| retval, saliencyMap | = | cv.saliency_ObjectnessBING.computeSaliency( | image[, saliencyMap] | )

## ◆ computeSaliencyImpl()

bool cv::saliency::ObjectnessBING::computeSaliencyImpl | ( | InputArray | image,
|  | OutputArray | objectnessBoundingBox
| ) |  |
| protected virtual

Performs all the operations and calls all internal functions necessary for the accomplishment of the Binarized normed gradients algorithm.

Parameters

  image | input image. According to the needs of this specialized algorithm, the param image is a single Mat
  objectnessBoundingBox | objectness Bounding Box vector. According to the result given by this specialized algorithm, the objectnessBoundingBox is a vector<Vec4i>. Each bounding box is represented by a Vec4i for (minX, minY, maxX, maxY).

Implements cv::saliency::Objectness.

## ◆ create()

static Ptr<ObjectnessBING> cv::saliency::ObjectnessBING::create | ( |  | ) |
| inline static

Python:
| retval | = | cv.saliency.ObjectnessBING_create( |  | )

## ◆ getBase()

double cv::saliency::ObjectnessBING::getBase | ( |  | ) | const
| inline

Python:
| retval | = | cv.saliency_ObjectnessBING.getBase( |  | )

## ◆ getNSS()

int cv::saliency::ObjectnessBING::getNSS | ( |  | ) | const
| inline

Python:
| retval | = | cv.saliency_ObjectnessBING.getNSS( |  | )

## ◆ getobjectnessValues()

std::vector<float> cv::saliency::ObjectnessBING::getobjectnessValues | ( |  | ) |

Python:
| retval | = | cv.saliency_ObjectnessBING.getobjectnessValues( |  | )

Return the list of the rectangles' objectness value,.

in the same order as the vector<Vec4i> objectnessBoundingBox returned by the algorithm (in computeSaliencyImpl function). The bigger value these scores are, it is more likely to be an object window.

## ◆ getW()

int cv::saliency::ObjectnessBING::getW | ( |  | ) | const
| inline

Python:
| retval | = | cv.saliency_ObjectnessBING.getW( |  | )

## ◆ read()

void cv::saliency::ObjectnessBING::read | ( |  | ) |

Python:
| None | = | cv.saliency_ObjectnessBING.read( |  | )

## ◆ setBase()

void cv::saliency::ObjectnessBING::setBase | ( | double | val | ) |
| inline

Python:
| None | = | cv.saliency_ObjectnessBING.setBase( | val | )

## ◆ setBBResDir()

void cv::saliency::ObjectnessBING::setBBResDir | ( | const String & | resultsDir | ) |

Python:
| None | = | cv.saliency_ObjectnessBING.setBBResDir( | resultsDir | )

This is a utility function that allows to set an arbitrary path in which the algorithm will save the optional results.

(ie writing on file the total number and the list of rectangles returned by objectess, one for each row).

Parameters

  resultsDir | results' folder path

## ◆ setNSS()

void cv::saliency::ObjectnessBING::setNSS | ( | int | val | ) |
| inline

Python:
| None | = | cv.saliency_ObjectnessBING.setNSS( | val | )

## ◆ setTrainingPath()

void cv::saliency::ObjectnessBING::setTrainingPath | ( | const String & | trainingPath | ) |

Python:
| None | = | cv.saliency_ObjectnessBING.setTrainingPath( | trainingPath | )

This is a utility function that allows to set the correct path from which the algorithm will load the trained model.

Parameters

  trainingPath | trained model path

## ◆ setW()

void cv::saliency::ObjectnessBING::setW | ( | int | val | ) |
| inline

Python:
| None | = | cv.saliency_ObjectnessBING.setW( | val | )

## ◆ write()

void cv::saliency::ObjectnessBING::write | ( |  | ) | const

Python:
| None | = | cv.saliency_ObjectnessBING.write( |  | )

The documentation for this class was generated from the following file:

- opencv2/saliency/saliencySpecializedClasses.hpp